Subject: bug#8984: second emacsclient file argument ends up in buried buffer

From: Juanma Barranquero <[email-masked]>
Date: Thu, 7 Jul 2011 02:23:56 +0200

On Thu, Jul 7, 2011 at 02:03,  <[email-masked]> wrote:

> This reveals another big problem that confuses our testing: -nw.
>
> If you add -nw, the behavior becomes different once again!

The point is that IMHO it's not worth the trouble to try to force
server.el to duplicate the behavior of "emacs xxx yyy zzz..." because
that behavior depends on several factors. There are already several
variables (server-window, server-visit-hook, server-switch-hook, etc.)
that can be used to adapt server.el to specific needs.

    Juanma